|
|
|
|
|
|
|
|
|
|
xen-devel
[Xen-devel] [PATCH] xend: update init script to avoid grep on non-existe
I'm seeing a grep error during bare metal pvops kernel boot. In the
init script, the previous checks will avoid/perform the /proc/xen mount
as appropriate, but then it does a grep on /proc/xen/capabilities
without ensuring that /proc/xen is actually mounted. This is my attempt
(read: first patch :) ) to avoid it.
# HG changeset patch
# User Richie <listmail@xxxxxxxxxxxx>
# Date 1273894781 14400
# Node ID 90705b2abd84e75971d12dead966191731ab1361
# Parent baccadfd9418b8dee931945e5752cb118f5bf3cb
xend: update init script to avoid grep on non-existent file system
diff -r baccadfd9418 -r 90705b2abd84 tools/hotplug/Linux/init.d/xend
--- a/tools/hotplug/Linux/init.d/xend Fri May 14 08:05:05 2010 +0100
+++ b/tools/hotplug/Linux/init.d/xend Fri May 14 23:39:41 2010 -0400
@@ -31,7 +31,8 @@
mount -t xenfs xenfs /proc/xen
fi
-if ! grep -q "control_d" /proc/xen/capabilities ; then
+if ! test -d /proc/xen || \
+ ! grep -q "control_d" /proc/xen/capabilities ; then
exit 0
fi
_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel
|
<Prev in Thread] |
Current Thread |
[Next in Thread>
|
- [Xen-devel] [PATCH] xend: update init script to avoid grep on non-existent file system,
Richie <=
|
|
|
|
|